#ifndef clan_h
#define clan_h

#define CLAN_JUNIOR 0
#define CLAN_SENIOR 1
#define CLAN_DEPUTY 5
#define CLAN_SECOND 9
#define CLAN_LEADER 10

#define CLAN_FILENAME "clans.txt"

struct clan_type {
	int	clan_id;
	char	*name;
	char	*who_name;
	char	*who_name_color;
	sh_int	hall;
	sh_int	recall;
	bool	independent;
	short	color;
};

extern const char *lookup_clan_status(int);
extern struct clan_type *get_clan_table(int);
extern int get_clan_index(int);
extern int parse_clan_status(const char *);
extern bool is_independent(CHAR_DATA *);

#define UPPER_MAX_CLAN 50

#endif
